package cn.ey.biz.module.system.service.user;

import cn.ey.biz.module.system.api.user.dto.UserSwitchRecordReqDTO;

public interface UserSwitchRecordService   {

    /**
     * 切换用户
     */
    void saveSwitchUser(UserSwitchRecordReqDTO userSwitchRecordReqDTO);

    /**
     * 查询切换用户
     * @param userSwitchRecordReqDTO
     * @return
     */
    Long querySwitchUser(UserSwitchRecordReqDTO userSwitchRecordReqDTO);

    /**
     * 切换用户修改
     * @param userSwitchRecordReqDTO
     */
    void updateSwitchUser(UserSwitchRecordReqDTO userSwitchRecordReqDTO);
}
